Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.uniswap_v3.uniswap_liquidity_provision_positions(chain=models.V1UniswapLiquidityProvisionPositionsChain.ARBITRUM, user="0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.uniswapV3.uniswapLiquidityProvisionPositions({
chain: "arbitrum",
user: "0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B",
});
console.log(result);
}
run();curl --request GET \
--url https://api.compasslabs.ai/v1/uniswap/liquidity_provision/positions \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.compasslabs.ai/v1/uniswap/liquidity_provision/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"positions": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Uniswap V3
List LP
This endpoint retrieves the number of Liquidity Provider (LP) positions associated with a specific sender address on the Uniswap platform.
Users can query this endpoint to obtain detailed information about their LP positions, including the total number of positions and relevant metadata. This information is crucial for users to manage and analyze their liquidity provision activities effectively.
GET
/
v1
/
uniswap
/
liquidity_provision
/
positions
Python (SDK)
from compass_api_sdk import CompassAPI, models
with CompassAPI(
api_key_auth="<YOUR_API_KEY_HERE>",
) as compass_api:
res = compass_api.uniswap_v3.uniswap_liquidity_provision_positions(chain=models.V1UniswapLiquidityProvisionPositionsChain.ARBITRUM, user="0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B")
# Handle response
print(res)import { CompassApiSDK } from "@compass-labs/api-sdk";
const compassApiSDK = new CompassApiSDK({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await compassApiSDK.uniswapV3.uniswapLiquidityProvisionPositions({
chain: "arbitrum",
user: "0x29F20a192328eF1aD35e1564aBFf4Be9C5ce5f7B",
});
console.log(result);
}
run();Query Parameters
Available options:
arbitrum, base, ethereum The user to get positions for.
Response
Successful Response
Liquidity provision positions belonging to a particular user keyed by the token of owner index of the position.
Show child attributes
Show child attributes
Was this page helpful?